function out1 = getIF( bsave,k )
%beta
out1=[];
for i=1:size(bsave,3)
    b=bsave(:,:,i);
    out1x=[];
    for j=1:size(b,2)
    tmp=mcmc_ifac(b(:,j),k);
    out1x=[out1x;tmp];
    end
    out1=[out1;out1x];
end

end

